{
	"*": {
		"position": "inside_first"
	},
	"fragment": {
		"isTransparent": true
	},
	"bean": {
		"targetNodeName": "##root",
		"position": "inside_first",
		"unique": ["id"],
		"conflict": "ignore" /*[ignore, replace]*/
	},
	"reference": {
		"targetNodeName": "##root",
		"position": "inside_first",
		"unique": ["id"],
		"conflict": "ignore" /*[ignore, replace]*/
	},
	"globalOptions": {
		"targetNodeName": "camelContext",
		"position": "inside_first",
		"conflict": "ignore" /*[ignore, replace]*/
	},
	"globalOption": {
		"targetNodeName": "camelContext/globalOptions",
		"position": "inside_last",
		"createTargetNode": true,
		"targetNodeXML": "<globalOptions />",
		"unique": ["key"],
		"conflict": "replace" /*[ignore, replace]*/
	},
	"propertyPlaceholder": {
		"recoursive": true,
		"targetNodeName": "camelContext/globalOptions",
		"position": "after",
		"createTargetNode": true,
		"targetNodeXML": "<globalOptions><globalOption key=\"entaxyContext\" value=\"true\"/></globalOptions>",
		"unique": ["id"],
		"conflict": "ignore" /*[ignore, replace]*/
	},
	"propertiesFunction": {
		"targetNodeName": "camelContext/propertyPlaceholder",
		"unique": ["ref"],
		"createTargetNode": true,
		"targetNodeXML": "<propertyPlaceholder id=\"propertiesForCamel\" xmlns=\"http://camel.apache.org/schema/blueprint\" />"
	},
	"errorHandler": {
		"targetNodeName": "camelContext/propertyPlaceholder",
		"position": "after",
		"conflict": "ignore" /*[ignore, replace]*/,
		"createTargetNode": true,
		"targetNodeXML": "<propertyPlaceholder id=\"propertiesForCamel\" xmlns=\"http://camel.apache.org/schema/blueprint\" />"
	},
	"redeliveryPolicyProfile": {
		"targetNodeName": "camelContext/errorHandler",
		"position": "after",
		"conflict": "ignore" /*[ignore, replace]*/,
		"createTargetNode": true,
		"targetNodeXML": "<errorHandler />"
	},
	"errorHandlerRef": {
		"targetNodeName": "camelContext",
		"targetAttributeName": "errorHandlerRef",
		"createTargetNode": true,
		"targetNodeXML": "<camelContext xmlns=\"http://camel.apache.org/schema/blueprint\" />"
	},
	"route": {
		"recoursive": true,
		"targetNodeName": "camelContext",
		"position": "inside_last",
		"createTargetNode": true,
		"targetNodeXML": "<camelContext xmlns=\"http://camel.apache.org/schema/blueprint\" />"
	}
}
